using Cute;
using Wizard;

public class SetDataTranslateTask : NetworkTask
{
	public class SetDataTranslateTaskParam : BaseParam
	{
		public string email_address;
	}

	public override string Url => NtDataTranslateManager.GetInstance().GetSetTranslateInfoUrl();

	public void SetParameter(string address)
	{
		SetDataTranslateTaskParam setDataTranslateTaskParam = new SetDataTranslateTaskParam();
		setDataTranslateTaskParam.email_address = address;
		base.Params = setDataTranslateTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
